Partner inbound
Ingest a partner inbound event
Public gateway path secured by HMAC-SHA256 (X-Partner-Signature: sha256=<hex> over the raw body). No JWT required.
Public gateway path secured by HMAC-SHA256 (X-Partner-Signature: sha256= over the raw body). No JWT required.
AuthorizationBearer <token>
OIDC Bearer JWT. Obtain via OAuth2 Authorization Code or client credentials.
In: header
Path Parameters
partnerId*string
Header Parameters
X-Partner-Signature?string
X-Correlation-Id?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body*string
Response Body
application/json
curl -X POST "https://example.com/api/v1/webhooks/partners/string/events" \ -H "Content-Type: application/json" \ -d 'string'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "partnerId": "string", "eventType": "string", "externalId": "string", "correlationId": "string", "status": "ACCEPTED", "receivedAt": "2019-08-24T14:15:22Z"}